List Clinic Invoices
Retrieve a paginated list of invoices received by the authenticated clinic. Clinic-only. Supports filtering by status, search, and sorting.
Retrieve a paginated list of invoices received by the authenticated clinic. Clinic-only. Supports filtering by status, search, and sorting.
__Secure-guidelab-prod.session_token<token>
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Query Parameters
page?integer
Range
0 < valueDefault
1limit?integer
Range
0 < value <= 100Default
20status?string
search?string
sortBy?string
Default
"createdAt"Value in
- "createdAt"
- "issueDate"
- "dueDate"
- "invoiceNumber"
- "totalAmount"
sortOrder?string
Default
"desc"Value in
- "asc"
- "desc"
clinicId?string
partnershipId?string
Length
1 <= lengthcurrency?string
Value in
- "GBP"
- "EUR"
- "USD"
- "CAD"
- "AUD"
- "NZD"
- "CHF"
- "SEK"
- "NOK"
- "DKK"
- "PLN"
- "CZK"
- "HUF"
- "RON"
- "INR"
- "JPY"
- "CNY"
- "SGD"
- "HKD"
- "MXN"
- "BRL"
- "ZAR"
allTime?boolean||
Response Body
application/json
application/json
curl -X GET "https://example.com/clinic-finances/invoices"{ "data": [ null ], "pagination": { "page": 0, "limit": 0, "total": 0, "totalPages": 0 }}{ "error": "string"}List Clinic Credit Notes GET
Retrieve a paginated list of credit notes received by the authenticated clinic. Clinic-only. Supports filtering by status and search text.
List Clinic Statements GET
Retrieve a paginated list of statements received by the authenticated clinic. Clinic-only. Supports filtering by status and search text.